com.gisgraphy.webapp.action

## Class PasswordHintAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.BaseAction
    - - com.gisgraphy.webapp.action.PasswordHintAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class PasswordHintAction
      extends BaseAction

  Action class to send password hints to registered users.
  Author:
    Matt Raible
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordHintAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()` Execute sending the password hint via e-mail.
    `void` | `setUsername(String username)`

    - ### Methods inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordHintAction

          public PasswordHintAction()

  - ### Method Detail

    - #### setUsername

          public void setUsername(String username)

      Parameters:
        `username` - The username to set.

    - #### execute

          public String execute()

      Execute sending the password hint via e-mail.
      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Returns:
        success if username works, input if not

Copyright © 2015. All rights reserved.